__author__ = 'dev'

import unittest
import subprocess
from config.commands import web_stream_commands as wcmd


class TestCommands(unittest.TestCase):

    def setUp(self):
        self.__wspc =wcmd["web_stream_player_command"]

    def test_web_stream_commands(self):
        self.assertEqual(0, subprocess.call(self.__wspc))

    def test_web_stream_commands_error_wrong_commands(self):
        self.assertRaises(FileNotFoundError, subprocess.call,self.__wspc + "fail")


if __name__ == '__main__':
    unittest.main()
